JBoss API: Class EntityEnterpriseContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EntityEnterpriseContext

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext
            |
            +--org.jboss.ejb.EntityEnterpriseContext

public class EntityEnterpriseContext
extends EnterpriseContext

The EntityEnterpriseContext is used to associate EntityBean instances with metadata about it.

Version:
  $Revision: 1.18.4.5 $

  Revisions

  20010703 marcf

  1. setInvoked replaced by "hasTxSynchronization", the reason being that we use it for Tx registration.
Author:
  Rickard Öberg, Marc Fleury, Daniel OConnor
See Also:
  `EnterpriseContext`

Inner Class Summary
`protected class` | `EntityEnterpriseContext.EntityContextImpl`

Inner classes inherited from class org.jboss.ejb.EnterpriseContext
`EnterpriseContext.EJBContextImpl, EnterpriseContext.UserTransactionImpl`

Fields inherited from class org.jboss.ejb.EnterpriseContext
`log`

Constructor Summary
`EntityEnterpriseContext(java.lang.Object instance, Container con)`

Method Summary
`void` | `clear()` before reusing this context we clear it of previous state called by pool.free()
`void` | `discard()`
`CacheKey` | `getCacheKey()`
`javax.ejb.EJBContext` | `getEJBContext()` Get the EJBContext object
`javax.ejb.EJBLocalObject` | `getEJBLocalObject()`
`javax.ejb.EJBObject` | `getEJBObject()`
`java.lang.Object` | `getPersistenceContext()`
`boolean` | `hasTxSynchronization()`
`void` | `hasTxSynchronization(boolean value)`
`boolean` | `isValid()`
`void` | `setCacheKey(java.lang.Object key)`
`void` | `setEJBLocalObject(javax.ejb.EJBLocalObject eo)`
`void` | `setEJBObject(javax.ejb.EJBObject eo)`
`void` | `setPersistenceContext(java.lang.Object ctx)`
`void` | `setValid(boolean valid)`

Methods inherited from class org.jboss.ejb.EnterpriseContext
`getContainer, getId, getInstance, getTransaction, getTxLock, isLocked, lock, setId, setInstance, setPrincipal, setTransaction, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityEnterpriseContext

    public EntityEnterpriseContext(java.lang.Object instance,
                                   Container con)
                            throws java.rmi.RemoteException

Method Detail

### clear

    public void clear()

  Description copied from class: `EnterpriseContext`
  before reusing this context we clear it of previous state called by pool.free()
  Overrides:
    `clear` in class `EnterpriseContext`

### discard

    public void discard()
                 throws java.rmi.RemoteException

  Overrides:
    `discard` in class `EnterpriseContext`

### getEJBContext

    public javax.ejb.EJBContext getEJBContext()

  Description copied from class: `EnterpriseContext`
  Get the EJBContext object
  Overrides:
    `getEJBContext` in class `EnterpriseContext`

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject eo)

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

### setEJBLocalObject

    public void setEJBLocalObject(javax.ejb.EJBLocalObject eo)

### getEJBLocalObject

    public javax.ejb.EJBLocalObject getEJBLocalObject()

### setCacheKey

    public void setCacheKey(java.lang.Object key)

### getCacheKey

    public CacheKey getCacheKey()

### setPersistenceContext

    public void setPersistenceContext(java.lang.Object ctx)

### getPersistenceContext

    public java.lang.Object getPersistenceContext()

### hasTxSynchronization

    public void hasTxSynchronization(boolean value)

### hasTxSynchronization

    public boolean hasTxSynchronization()

### setValid

    public void setValid(boolean valid)

### isValid

    public boolean isValid()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.